Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::copy_n_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename O , typename P = identity>
auto | operator() (I begin, iter_difference_t< I > n, O out) const -> copy_n_result< I, O > requires input_iterator< I > &&weakly_incrementable< O > &&indirectly_copyable< I, O >